# Class: GraphicStippleLine

## GraphicStippleLine()

#### new GraphicStippleLine()

Source:
  - GraphicStippleLine.js, line 10

### Methods

#### (async, static) createObj() → {Promise.<GraphicStippleLine>}

构造一个新的 GraphicStippleLine 对象。

Source:
  - GraphicStippleLine.js, line 32

##### Returns:

Type
  Promise.<GraphicStippleLine>

#### (async, static) GetEndPoint() → {Promise.<Dot>}

获取起点的坐标点

Source:
  - GraphicStippleLine.js, line 133

##### Returns:

Type
  Promise.<Dot>

#### (async, static) getIntervalLength() → {Promise.<*>}

获取虚线间隔长度

Source:
  - GraphicStippleLine.js, line 179

##### Returns:

Type
  Promise.<*>

#### (async, static) getLength() → {Promise.<(*|*)>}

获取线长度

Source:
  - GraphicStippleLine.js, line 193

##### Returns:

Type
  Promise.<(*|*)>

#### (async, static) getLineWidth() → {Promise.<*>}

获取线的宽度

Source:
  - GraphicStippleLine.js, line 151

##### Returns:

Type
  Promise.<*>

#### (async, static) getSegLength() → {Promise.<*>}

获取虚线长度

Source:
  - GraphicStippleLine.js, line 165

##### Returns:

Type
  Promise.<*>

#### (async, static) getStartPoint() → {Promise.<Dot>}

获取起点的坐标点

Source:
  - GraphicStippleLine.js, line 117

##### Returns:

Type
  Promise.<Dot>

#### (async, static) setEndPoint(point) → {Promise.<void>}

设置起点

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` |  |

Source:
  - GraphicStippleLine.js, line 63

##### Returns:

Type
  Promise.<void>

#### (async, static) setIntervalLength(len) → {Promise.<void>}

设置虚线间隔长度

##### Parameters:

Name | Type | Description
--- | --- | ---
`len` |  |

Source:
  - GraphicStippleLine.js, line 105

##### Returns:

Type
  Promise.<void>

#### (async, static) setLineWidth(width) → {Promise.<void>}

设置线宽

##### Parameters:

Name | Type | Description
--- | --- | ---
`width` |  |

Source:
  - GraphicStippleLine.js, line 77

##### Returns:

Type
  Promise.<void>

#### (async, static) setSegLength(width) → {Promise.<void>}

设置虚线段长度

##### Parameters:

Name | Type | Description
--- | --- | ---
`width` |  |

Source:
  - GraphicStippleLine.js, line 91

##### Returns:

Type
  Promise.<void>

#### (async, static) setStartPoint(point) → {Promise.<void>}

设置起点

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` |  |

Source:
  - GraphicStippleLine.js, line 49

##### Returns:

Type
  Promise.<void>